Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001698ScribusImport / Exportpublic2005-02-20 11:272011-09-15 21:34
Reporterplinnell 
Assigned Tofschmid 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3 
Target VersionFixed in Version1.5.0svn 
Summary0001698: Enhance EPS importer to support raster graphics
DescriptionEnhance EPS importer to support raster graphics - per roadmap
TagsNo tags attached.
Patch
Attached Files? file icon TEST_COREL_9_POSTSCRIPT_1.eps [^] (1,481,298 bytes) 2006-12-05 09:51
? file icon TEST_COREL_9_POSTSCRIPT_2.eps [^] (968,401 bytes) 2006-12-05 09:52
? file icon TEST_COREL_9_POSTSCRIPT_3.eps [^] (968,401 bytes) 2006-12-05 09:52

- Relationships
has duplicate 0002470closed PS-File exported by Scribus cannot be imported again 
has duplicate 0003350closed PS import plugin cannot import eps with images 

-  Notes
(0009430)
avox (administrator)
2006-03-23 01:18

Current CVS supports raster graphics with the following limitations:

* imagemask doesn't work correctly
* clip path is ignored
* creates one file for each bitmap, which can be a lot
(0013766)
misiek (reporter)
2006-12-05 10:05

I have a problem with import eps(from corel draw 9) file with foto into scribus. I can't import eps postscript level 1 but post script level 2 and 3 hava changed position of foto and tekst. When I import eps without foto is rather good. When i import eps into image box and export to pdf i see raster image :(
(0013768)
mhanski (developer)
2006-12-05 10:55
edited on: 2006-12-05 12:01

Misiek: according to plinnell, your EPS files are broken/non conformant, see also the 3 URL's below:

Quoting from my IRC chat with plinnell:
"all 3 of those files fail to open in Ghostscript or GSview, along with Photoshop.. so I suspect the EPS is being exported with some settings which are not compatible with other applications... IMO all 3 are broken EPs files which show bugs in exporting"
    
http://pastebin.ca/268093 [^]

http://pastebin.ca/268095 [^]
    
http://pastebin.ca/268096 [^]

quoting fschmid:
"just tested the 3 Corel EPS files here... All versions of Ghostscript available refuse to display them. I can't even get the included screen previews. The file offsets in the DOS header are totally wrong and even extracting the TIFF previews with an HexEditor doesn't work as these TIFF's are borked either."

(0026671)
fschmid (administrator)
2011-08-02 22:39

Fixed with the new poppler based PDF/PS/EPS importer in 1.5.0svn

- Issue History
Date Modified Username Field Change
2005-02-20 11:27 plinnell New Issue
2005-08-30 15:11 plinnell Relationship added has duplicate 0002470
2006-02-27 09:51 fschmid Status new => assigned
2006-02-27 09:51 fschmid Assigned To => avox
2006-03-08 00:00 jghali Relationship added has duplicate 0003350
2006-03-23 01:18 avox Note Added: 0009430
2006-12-05 09:51 misiek File Added: TEST_COREL_9_POSTSCRIPT_1.eps
2006-12-05 09:52 misiek File Added: TEST_COREL_9_POSTSCRIPT_2.eps
2006-12-05 09:52 misiek File Added: TEST_COREL_9_POSTSCRIPT_3.eps
2006-12-05 10:05 misiek Note Added: 0013766
2006-12-05 10:17 mhanski Note Added: 0013767
2006-12-05 10:48 mhanski Note Deleted: 0013767
2006-12-05 10:55 mhanski Note Added: 0013768
2006-12-05 12:01 mhanski Note Edited: 0013768
2011-08-02 22:39 fschmid Note Added: 0026671
2011-08-02 22:39 fschmid Status assigned => resolved
2011-08-02 22:39 fschmid Fixed in Version => 1.5.0svn
2011-08-02 22:39 fschmid Resolution open => fixed
2011-08-02 22:39 fschmid Assigned To avox => fschmid
2011-09-15 21:34 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker